%{?mingw_package_header}

Name:          mingw-libunistring
Version:       1.3
Release:       %mkrel 1
Summary:       MinGW port of GNU Unicode string library
Group:         Development/Other
License:       GPLV2+ or LGPLv3+
Url:           https://www.gnu.org/software/libunistring/
Source0:       https://ftp.gnu.org/gnu/libunistring/libunistring-%{version}.tar.xz

BuildArch:     noarch

BuildRequires: mingw32-filesystem >= 95
BuildRequires: mingw32-gcc

BuildRequires: mingw64-filesystem >= 95
BuildRequires: mingw64-gcc

%description
This portable C library implements Unicode string types in three flavours:
(UTF-8, UTF-16, UTF-32), together with functions for character processing
(names, classifications, properties) and functions for string processing
(iteration, formatted output, width, word breaks, line breaks, normalization,
case folding and regular expressions).

%package -n mingw32-libunistring
Summary:       %{summary}

%description -n mingw32-libunistring
This portable C library implements Unicode string types in three flavours:
(UTF-8, UTF-16, UTF-32), together with functions for character processing
(names, classifications, properties) and functions for string processing
(iteration, formatted output, width, word breaks, line breaks, normalization,
case folding and regular expressions).

%package -n mingw64-libunistring
Summary:       %{summary}

%description -n mingw64-libunistring
This portable C library implements Unicode string types in three flavours:
(UTF-8, UTF-16, UTF-32), together with functions for character processing
(names, classifications, properties) and functions for string processing
(iteration, formatted output, width, word breaks, line breaks, normalization,
case folding and regular expressions).

%{?mingw_debug_package}

%prep
%setup -q -n libunistring-%{version}

%build
%mingw_configure \
    --disable-static \
    --disable-rpath

%mingw_make_build

%install
%mingw_make_install

rm -f %{buildroot}%{mingw32_infodir}/dir
rm -f %{buildroot}%{mingw64_infodir}/dir

rm -f %{buildroot}%{mingw32_libdir}/*.la
rm -f %{buildroot}%{mingw64_libdir}/*.la

# Move staged docs so not picked up by %%doc in main package
mv %{buildroot}%{mingw32_datadir}/doc/libunistring __doc
mv %{buildroot}%{mingw64_datadir}/doc/libunistring __doc

%files -n mingw32-libunistring
%license COPYING COPYING.LIB
%doc AUTHORS NEWS README HACKING DEPENDENCIES THANKS ChangeLog
%doc __doc/*
%{mingw32_bindir}/libunistring-5.dll
%{mingw32_includedir}/*.h
%{mingw32_includedir}/unistring
%{mingw32_infodir}/libunistring.info*
%{mingw32_libdir}/libunistring.dll.a

%files -n mingw64-libunistring
%license COPYING COPYING.LIB
%doc AUTHORS NEWS README HACKING DEPENDENCIES THANKS ChangeLog
%doc __doc/*
%{mingw64_bindir}/libunistring-5.dll
%{mingw64_includedir}/*.h
%{mingw64_includedir}/unistring
%{mingw64_infodir}/libunistring.info*
%{mingw64_libdir}/libunistring.dll.a



%changelog
* Fri Jun 27 2025 daviddavid <daviddavid> 1.3-1.mga10
+ Revision: 2208212
- new version: 1.3

* Fri Jun 27 2025 umeabot <umeabot> 0.9.10-5.mga10
+ Revision: 2206483
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.9.10-4.mga9
+ Revision: 1813275
- Mageia 9 Mass Rebuild

* Sat Sep 26 2020 tv <tv> 0.9.10-3.mga8
+ Revision: 1630206
- rebuild for new mingw stack

* Sun Feb 16 2020 umeabot <umeabot> 0.9.10-2.mga8
+ Revision: 1533700
- Mageia 8 Mass Rebuild

* Mon Sep 23 2019 daviddavid <daviddavid> 0.9.10-1.mga8
+ Revision: 1444984
- imported package mingw-libunistring


* Thu Aug 15 2019 Fabiano Fidêncio <fidencio@redhat.com> - 0.9.10-1
- Initial version
